Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1515361

Summary: [StAG7] dmraid: Add deprecation warning
Product: Red Hat Enterprise Linux 7 Reporter: Marek Suchanek <msuchane>
Component: doc-Storage_Administration_GuideAssignee: Apurva Bhide <abhide>
Status: CLOSED CURRENTRELEASE QA Contact: Zhang Kexin <kzhang>
Severity: unspecified Docs Contact: Apurva Bhide <abhide>
Priority: unspecified    
Version: 7.3CC: dledford, jbrassow, kzhang, mcsontos, msuchane, rhel-docs
Target Milestone: rcKeywords: Documentation
Target Release: 7.5   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ccs-internal
Fixed In Version: Doc Type: Deprecated Functionality
Doc Text:
Story Points: ---
Clone Of: 1489587 Environment:
Last Closed: 2018-11-05 12:10:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1489587    
Bug Blocks: 1470091    

Description Marek Suchanek 2017-11-20 16:42:11 UTC
+++ This bug was initially created as a clone of Bug #1489587 +++

There will be no dmraid package in RHEL8.  Therefore, we must:
1) Add a warning for those in 7.5+ that RHEL7 will be the last release supporting this package - likely best to be printed when started up.

2) Add sufficient documentation (release notes?) to inform users that RHEL8 will no longer support legacy hybrid (HW + SW) RAID HBAs - aka "fake RAID".

--- Additional comment from Marian Csontos on 2017-09-08 03:00:23 EDT ---

+ Move package to epel.

--- Additional comment from Marek Suchanek on 2017-10-10 13:48:08 EDT ---

Hello all,

I'm the maintainer of the Storage Administration Guide, which is a good place to warn users about the dmraid deprecation, in my opinion. It should be included in the release notes, too.

dmraid is mentioned a few times in StAG, mostly here:
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/storage_administration_guide/index#raid-subsys

I can add a note there.

I'm setting myself as the Docs Contact. If you need anything documentation-related here, you can ask me.

Comment 2 Marek Suchanek 2017-11-20 16:53:41 UTC
An admonition warning users about the deprecation needs to be added in the 17.3. "Linux RAID Subsystems" section:
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/storage_administration_guide/index#raid-subsys

Also, the `dmraid` command is briefly mentioned in the 10.1. "Special Considerations" section of Chapter 10. "Storage Considerations During Installation":
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/storage_administration_guide/index#ch-install-config

This command probably needs to be replaced with a supported version, that is, with a mdraid command.

There seem to be no other instances of "dmraid" in the book apart from these two.